MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025446Community[OCCT] OCCT:Modeling Algorithmspublic2014-11-05 12:192014-11-12 09:55
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025446: The method BRepAlgoAPI_BooleanOperation::IsDeleted() returns TRUE for the faces contained in the result of BOP
DescriptionThe original issue is here: http://www.opencascade.org/org/forum/thread_25723/?forum=3 [^]
Steps To Reproducebox b1 10 10 10
pcylinder b2 3 20
ttranslate b2 5 5 -5
OCC25446 r b1 b2 0
OCC25446 r b1 b2 1
OCC25446 r b1 b2 2
OCC25446 r b1 b2 3
OCC25446 r b1 b2 4

box b1 10 10 10
pcylinder b2 3 20
ttranslate b2 5 5 10
OCC25446 r b1 b2 0
OCC25446 r b1 b2 1
OCC25446 r b1 b2 2
OCC25446 r b1 b2 3
OCC25446 r b1 b2 4
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug25446_1, bug25446_2
Attached Files

- Relationships

-  Notes
(0034082)
git (administrator)
2014-11-06 11:12

Branch CR25446 has been created by emv.

SHA-1: 265dac6416275146cf5b89248f525720c401333f


Detailed log of new commits:

Author: emv
Date: Thu Nov 6 12:12:10 2014 +0400

    0025446: The method BRepAlgoAPI_BooleanOperation::IsDeleted() returns TRUE for the faces contained in the result of BOP
    
    1. The method
      Standard_Boolean BOPAlgo_Builder::IsDeleted
        (const TopoDS_Shape& theS)
      has been modified to return TRUE only if the shape theS has been deleted.
    2. Added new draw (QA) command OCC25446 to test this method.
(0034083)
emv (developer)
2014-11-06 11:15

Git branch CR25446 is ready to be reviewed.
(0034085)
pkv (developer)
2014-11-06 11:22

Reviewed
(0034118)
mkv (tester)
2014-11-06 17:21

Dear emv,
could you please rebase CR25446 on current master, there are conflict in QABugs_19.cxx file.
(0034120)
git (administrator)
2014-11-06 17:44

Branch CR25446 has been updated forcibly by emv.

SHA-1: dfc9c761d9aaf74ca67b8a3c86699a5228ed9b91
(0034121)
emv (developer)
2014-11-06 17:45

Done! Please test.
(0034153)
mkv (tester)
2014-11-07 14:20

Dear BugMaster,
Branch CR25446 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: dfc9c761d9aaf74ca67b8a3c86699a5228ed9b91

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 1 (1 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests.nnov.opencascade.com/CR25446-master-occt/Debian60-64/bugs/modalg_5/bug25446_1.html [^]
http://occt-tests.nnov.opencascade.com/CR25446-master-occt/Windows-32-VC10/bugs/modalg_5/bug25446_1.html [^]
bugs modalg_5(010) bug25446_1: OK
http://occt-tests.nnov.opencascade.com/CR25446-master-occt/Debian60-64/bugs/modalg_5/bug25446_2.html [^]
http://occt-tests.nnov.opencascade.com/CR25446-master-occt/Windows-32-VC10/bugs/modalg_5/bug25446_2.html [^]
bugs modalg_5(010) bug25446_2: OK

Testing on Linux:
occt component :
Total MEMORY difference: 357421576 / 357831356
Total CPU difference: 46868.00000000009 / 47034.220000000074
products component :
Total MEMORY difference: 112390092 / 112212500
Total CPU difference: 16893.819999999978 / 17583.579999999914

Testing on Windows:
occt component :
Total MEMORY difference: 273025296 / 271829920
Total CPU difference: 35178.125 / 33239.75
products component :
Total MEMORY difference: 72212492 / 71037912
Total CPU difference: 10387.375 / 11441.625

There are no differences in images found by testdiff.
(0034154)
git (administrator)
2014-11-07 14:21

Branch CR25446 has been updated by mkv.

SHA-1: f5a107b832e23c1938529e58e746a2dabb650db3


Detailed log of new commits:

Author: mkv
Date: Fri Nov 7 14:20:28 2014 +0300

    Test cases for issue CR25446

(0034350)
git (administrator)
2014-11-12 09:55

Branch CR25446 has been deleted by inv.

SHA-1: f5a107b832e23c1938529e58e746a2dabb650db3

- Related Changesets
occt: master c088aa93
Timestamp: 2014-11-06 14:39:01
Author: emv
Committer: bugmaster
Details ] Diff ]
0025446: The method BRepAlgoAPI_BooleanOperation::IsDeleted() returns TRUE for the faces contained in the result of BOP

1. The method
  Standard_Boolean BOPAlgo_Builder::IsDeleted
    (const TopoDS_Shape& theS)
  has been modified to return TRUE only if the shape theS has been deleted.
2. Added new draw (QA) command OCC25446 to test this method.
mod - src/BOPAlgo/BOPAlgo_Builder_4.cxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-11-05 12:19 emv New Issue
2014-11-05 12:19 emv Assigned To => emv
2014-11-05 12:23 emv Status new => assigned
2014-11-05 12:23 emv Summary The method BRepAlgoAPI::IsDeleted() retunrs TRUE for the faces contained in the result of BOP => The method BRepAlgoAPI_BooleanOperation::IsDeleted() retunrs TRUE for the faces contained in the result of BOP
2014-11-06 11:12 git Note Added: 0034082
2014-11-06 11:15 emv Note Added: 0034083
2014-11-06 11:15 emv Assigned To emv => pkv
2014-11-06 11:15 emv Status assigned => resolved
2014-11-06 11:15 emv Summary The method BRepAlgoAPI_BooleanOperation::IsDeleted() retunrs TRUE for the faces contained in the result of BOP => The method BRepAlgoAPI_BooleanOperation::IsDeleted() returns TRUE for the faces contained in the result of BOP
2014-11-06 11:15 emv Steps to Reproduce Updated View Revisions
2014-11-06 11:22 pkv Note Added: 0034085
2014-11-06 11:22 pkv Assigned To pkv => mkv
2014-11-06 11:22 pkv Status resolved => reviewed
2014-11-06 17:21 mkv Note Added: 0034118
2014-11-06 17:21 mkv Assigned To mkv => emv
2014-11-06 17:21 mkv Status reviewed => feedback
2014-11-06 17:44 git Note Added: 0034120
2014-11-06 17:45 emv Note Added: 0034121
2014-11-06 17:45 emv Assigned To emv => mkv
2014-11-06 17:45 emv Status feedback => reviewed
2014-11-07 14:20 mkv Note Added: 0034153
2014-11-07 14:21 git Note Added: 0034154
2014-11-07 14:21 mkv Test case number => bugs modalg_5(010) bug25446_1, bug25446_2
2014-11-07 14:21 mkv Assigned To mkv => bugmaster
2014-11-07 14:21 mkv Status reviewed => tested
2014-11-10 16:01 bugmaster Changeset attached => occt master c088aa93
2014-11-10 16:01 bugmaster Status tested => verified
2014-11-10 16:01 bugmaster Resolution open => fixed
2014-11-11 12:42 user533 Fixed in Version => 6.8.0
2014-11-11 13:03 user533 Status verified => closed
2014-11-12 09:55 git Note Added: 0034350


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker